org.appng.appngizer.model.xml

## Class Grants

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Grants

-     public class Grants
      extends Linkable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}linkable">
             <sequence>
               <element name="grant" type="{http://www.appng.org/schema/appngizer}grant" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Grant>` | `grant`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Grants()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Grant>` | `getGrant()` Gets the value of the grant property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### grant

          protected List<Grant> grant

  - ### Constructor Detail

    - #### Grants

          public Grants()

  - ### Method Detail

    - #### getGrant

          public List<Grant> getGrant()

      Gets the value of the grant property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the grant property.

      For example, to add a new item, do as follows:

              getGrant().add(newItem);

      Objects of the following type(s) are allowed in the list `Grant`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.